card-produto {
  display: block;
  width: fit-content;
}

card-produto .card-produto {
  background-color: var(--cor-fundo-claro);
  border-radius: 8px;
  position: relative;
  transition: transform 0.2s ease;
  box-shadow: 0 0px 4px 2px var(--cor-sombra);
  width: 220px;
  height: 400px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: stretch;
  gap: 10px;
  overflow: hidden;
}

card-produto .card-produto:hover {
  transform: scale(1.05);
}

card-produto .favorito-icon {
  position: absolute;
  top: 12px;
  right: 12px;
  z-index: 2;
  transition: transform 0.2s ease;
}

card-produto .favorito-icon:hover {
  transform: scale(1.2);
}

card-produto .favorito-icon i {
  font-size: 20px;
  color: var(--cor-destaque-2);
  cursor: pointer;
  filter: drop-shadow(0 1px 1px var(--cor-sombra));
}

card-produto .produto-imagem-container {
  flex-shrink: 0; /* impede que ela seja comprimida */
  width: 100%;
  aspect-ratio: 1;
  border-radius: 4px;
  overflow: hidden;
  margin-bottom: 8px;
}

card-produto .produto-imagem {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

card-produto .produto-conteudo {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: 1.2rem;
  padding: 8px;
}

card-produto .produto-nome {
  color: var(--cor-texto-escuro);
  margin-bottom: 8px;
  font-weight: 500;
  font-size: 1rem;
  text-wrap: wrap;
}

card-produto .produto-preco-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2px;
  font-size: 1.2rem;
  font-weight: 600;
}

card-produto .preco {
  color: var(--cor-texto-escuro);
}

card-produto .valor {
  color: var(--cor-primaria);
}

card-produto .btn-success {
  width: 100%;
  border: none;
  background-color: var(--cor-primaria);
  color: var(--cor-texto-claro);
  padding: 10px;
  border-radius: 4px;
  font-size: 14px;
  transition: background-color 0.2s ease;
  cursor: pointer;
}

card-produto .btn-success:hover {
  background-color: var(--cor-primaria-hover);
}